メインコンテンツへスキップ
POST
/
events
/
v3
/
send
Send a custom event occurrence
curl --request POST \
  --url https://api.hubapi.com/events/v3/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventName": "<string>",
  "properties": {},
  "email": "<string>",
  "objectId": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "utk": "<string>",
  "uuid": "<string>"
}
'
import requests

url = "https://api.hubapi.com/events/v3/send"

payload = {
    "eventName": "<string>",
    "properties": {},
    "email": "<string>",
    "objectId": "<string>",
    "occurredAt": "2023-11-07T05:31:56Z",
    "utk": "<string>",
    "uuid": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    eventName: '<string>',
    properties: {},
    email: '<string>',
    objectId: '<string>',
    occurredAt: '2023-11-07T05:31:56Z',
    utk: '<string>',
    uuid: '<string>'
  })
};

fetch('https://api.hubapi.com/events/v3/send', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


This response has no body data.
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
eventName
string
必須

The event's fully qualified name. This value (formatted as pe{HubID}_{name}) can be retrieved through the event definitions API or in HubSpot's UI.

properties
object
必須

The event properties to update. Takes the format of key-value pairs (property internal name and property value). Learn more about HubSpot's default event properties.

email
string

The visitor's email address. Used for associating the event data with a CRM record.

objectId
string

The ID of the record for which the event occurred (e.g., contact ID or visitor ID).

occurredAt
string<date-time>

The time when this event occurred. If this isn't set, the current time will be used.

utk
string

The visitor's usertoken. Used for associating the event data with a CRM record.

uuid
string

A unique identifier for the event occurrence. Must be unique within the event type. If not provided, HubSpot will generate a random UUID. When multiple events have the same ID within a year, the first will be accepted and all others will be rejected. Can be useful for matching data between HubSpot and other external systems.

レスポンス

最終更新日 2026年4月10日